Installation
============

Clone repository
----------------

Clone repository in your favorite folder projects.

.. code-block:: console

    git clone https://git.cuates.net/elmau/easymacro

and copy library into `pythonpath` in your macros.

.. code-block:: console

    /home/USER/.config/libreoffice/4/user/Scripts/python/pythonpath/easymacro.py


Test
----

In your favorite macros file, for example:

.. code-block:: console

    vim /home/USER/.config/libreoffice/4/user/Scripts/python/mymacros.py

copy this code:

.. code-block:: python

    import easymacro as app

    def main():
        app.msgbox(app.INFO_DEBUG)
        return

and execute from LibreOffice, if you see similar next info, great!

.. image:: _static/images/install_01.png

|

you are ready for develop with **easymacro**.


Happy develop!
